<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil str"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0" version="1.0"
	xmlns:prop="java.util.Properties" xmlns:str="http://exslt.org/strings"
	extension-element-prefixes="str">
	<xsl:output method="xhtml" />
	<xsl:param name="username" select="u" />
	<xsl:param name="fromPage" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="sharkEdition" select="e" />
	<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
		<html xmlns:xforms="http://www.w3.org/2002/xforms"
			xmlns:ev="http://www.w3.org/2001/xml-events"
			xmlns="http://www.w3.org/1999/xhtml"
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:xpil="http://www.together.at/2006/XPIL1.0">
			<head>
				<!--script type="text/javascript" src="../formfaces.js"></script-->

				<xforms:model id="firstForm">

					<xforms:submission id="update"
						action="VariableHandlerPO.po?event=update&#38;from={$from_element}&#38;fromPage={$fromPage}"
						method="post" replace="all" />
					<xforms:submission id="close"
						action="VariableHandlerPO.po?event=close&#38;from={$from_element}&#38;fromPage={$fromPage}"
						method="post" replace="all" />

					<xforms:instance id="firstInstance">
						<xsl:copy-of select="." />
					</xforms:instance>
					<xsl:variable name="vext"
						select="prop:setProperty('variablesExist','false')" />
					<xsl:for-each select="xpil:StringDataInstance">
						<xsl:variable name="vext"
							select="prop:setProperty('variablesExist','true')" />
						<xsl:variable name="i">
							<xsl:value-of select="@Id" />
						</xsl:variable>
						<xsl:variable name="suff">
							<xsl:value-of select="xpdl:DataField/@Name" />
						</xsl:variable>
						<xsl:variable name="isuff">
							<xsl:value-of select="concat($i,'#',$suff)" />
						</xsl:variable>
						<xforms:bind id="{$isuff}"
							nodeset="*/@Value[../@Id='{$i}']" type="xsd:string" />
					</xsl:for-each>
					<xsl:for-each select="xpil:DoubleDataInstance">
						<xsl:variable name="vext"
							select="prop:setProperty('variablesExist','true')" />
						<xsl:variable name="i">
							<xsl:value-of select="@Id" />
						</xsl:variable>
						<xsl:variable name="suff">
							<xsl:value-of select="xpdl:DataField/@Name" />
						</xsl:variable>
						<xsl:variable name="isuff">
							<xsl:value-of select="concat($i,'#',$suff)" />
						</xsl:variable>
						<xforms:bind id="{$isuff}"
							nodeset="*/@Value[../@Id='{$i}']" type="xsd:double" />
					</xsl:for-each>
					<xsl:for-each select="xpil:LongDataInstance">
						<xsl:variable name="vext"
							select="prop:setProperty('variablesExist','true')" />
						<xsl:variable name="i">
							<xsl:value-of select="@Id" />
						</xsl:variable>
						<xsl:variable name="suff">
							<xsl:value-of select="xpdl:DataField/@Name" />
						</xsl:variable>
						<xsl:variable name="isuff">
							<xsl:value-of select="concat($i,'#',$suff)" />
						</xsl:variable>
						<xforms:bind id="{$isuff}"
							nodeset="*/@Value[../@Id='{$i}']" type="xsd:long" />
					</xsl:for-each>
					 <xsl:for-each select="xpil:BooleanDataInstance">
                  <xsl:variable name="vext" select="prop:setProperty('variablesExist','true')"/>
                  <xsl:variable name="i">
                     <xsl:value-of select="@Id"/>
                  </xsl:variable>
                  <xsl:variable name="suff">
                     <xsl:value-of select="xpdl:DataField/@Name"/>
                  </xsl:variable>
                  <xsl:variable name="isuff">
                     <xsl:value-of select="concat($i,'#',$suff)"/>
                  </xsl:variable>
                  <xforms:bind id="{$isuff}" nodeset="*/@Value[../@Id='{$i}']" type="xsd:boolean"/>
               </xsl:for-each>
					<xsl:for-each select="xpil:DateDataInstance">
						<xsl:variable name="vext"
							select="prop:setProperty('variablesExist','true')" />
						<xsl:variable name="i">
							<xsl:value-of select="@Id" />
						</xsl:variable>
						<xsl:variable name="suff">
							<xsl:value-of select="xpdl:DataField/@Name" />
						</xsl:variable>
						<xsl:variable name="isuff">
							<xsl:value-of select="concat($i,'#',$suff)" />
						</xsl:variable>
						<xforms:bind id="{$isuff}"
							nodeset="*/@Value[../@Id='{$i}']" type="xsd:date" />
					</xsl:for-each>
				</xforms:model>
			</head>
			<body class="body_home">
				<table class="title_style" width="85%" border="0"
					align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td colspan="5">
                              <table width="100%">
                                <tr>
                                  <td width="2%" />

                                   <td class="logo_image_one"/>

                                   <td  class="logo_image_two" />

                                    <td class="logo_image_three"/>
                                  <td width="2%" />
                              </tr>
                        </table>
                        </td>
                     </tr>
					<tr>
							<td width="2%" />

							<td colspan="3">
							<table class="title_style" width="100%"
								border="0" align="center" cellpadding="0" cellspacing="0">
								<tr>
									<td align="right"
										class="title_style" colspan="2" height="15">
									</td>
								</tr>
								<tr>
									<td align="right"
										class="title_style" colspan="2" height="15" />
								</tr>
                                <tr>
                                 <td align="right"
                                 class="title_style" colspan="2" height="15" />
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>

                                    <td class="title_style" height="28" colspan="2">
                                      <img src="media/blank.gif" alt="" width="1"/>
                                    </td>
                                   </tr>
                                </tr>
							</table>
						</td>
						<td width="2%" />
					</tr>
					<tr>
							<td class="body_upper" colspan="5"
								height="4" />
					</tr>
					<tr>
							 <td align="left" class="body_home" width="2%"/>
				          <td align="left" class="body_home" height="15">
					        Variables
				        </td>
				        <td align="center" class="body_home" height="15" width="5%">

                        </td>
				        <td align="right" class="body_home" height="15">
				          <b>User:</b> <xsl:value-of select="$username" />
				        </td>
                        <td align="left" class="body_home" width="2%"/>
					</tr>
					<tr>
                     <td class="body_lower" colspan="5"
								height="1" />
					</tr>
					<tr>
                   <td align="left" class="body_home" width="2%"/>
				   <td align="left" class="body_home" height="15"/>
				   <td align="center" class="body_home" height="15" width="5%"/>
				   <td align="right" class="body_home" height="15"/>
                   <td align="left" class="body_home" width="2%"/>
               </tr>
               <tr>

               </tr>
					<tr>
						<td width="1%" />
						<td colspan="3">
								<xsl:variable name="vext"
									select="prop:getProperty('variablesExist')" />
                        <xsl:variable name="nochange"
					        	   select="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[1]/@Value" />
                        <xsl:choose>
                           <xsl:when test="$nochange='true' or /xpil:ExtendedWorkflowFacilityInstance/xpil:ManualActivityInstance or /xpil:ExtendedWorkflowFacilityInstance/xpil:ToolActivityInstance or /xpil:ExtendedWorkflowFacilityInstance/xpil:SubFlowActivityInstance or /xpil:ExtendedWorkflowFacilityInstance/xpil:BlockActivityInstance or /xpil:ExtendedWorkflowFacilityInstance/xpil:RouteActivityInstance">
                            <xforms:group appearance="full">
                              <xforms:label>
      										PROCESS GENERAL INFORMATION
      							   </xforms:label>
                              <xforms:output ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=2]/@Id">
                                 <xforms:label>Id:</xforms:label>
                              </xforms:output>
                              <xforms:output ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=2]/@Name">
                                 <xforms:label>Name:</xforms:label>
                              </xforms:output>
                              <xforms:output ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=2]/xpil:InstanceDescription">
                                 <xforms:label>Description:</xforms:label>
                              </xforms:output>
                              <xforms:output ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=2]/xpil:InstancePriority">
                                 <xforms:label>Priority:</xforms:label>
                              </xforms:output>
                            </xforms:group>
                           </xsl:when>
                           <xsl:otherwise>
                            <xforms:group appearance="full">
                              <xforms:label>
      										PROCESS GENERAL INFORMATION
      							   </xforms:label>
                              <xforms:output ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=2]/@Id">
                                 <xforms:label>Id:</xforms:label>
                              </xforms:output>
                              <xforms:input ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=2]/@Name">
                                 <xforms:label>Name:</xforms:label>
                              </xforms:input>
                              <xforms:textarea ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=2]/xpil:InstanceDescription">
                                 <xforms:label>Description:</xforms:label>
                              </xforms:textarea>
                              <xforms:input ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=2]/xpil:InstancePriority">
                                 <xforms:label>Priority:</xforms:label>
                              </xforms:input>
                            </xforms:group>
								   </xsl:otherwise>
                        </xsl:choose>

                        <xsl:if test="/xpil:ExtendedWorkflowFacilityInstance/xpil:ManualActivityInstance or /xpil:ExtendedWorkflowFacilityInstance/xpil:ToolActivityInstance or /xpil:ExtendedWorkflowFacilityInstance/xpil:SubFlowActivityInstance or /xpil:ExtendedWorkflowFacilityInstance/xpil:BlockActivityInstance or /xpil:ExtendedWorkflowFacilityInstance/xpil:RouteActivityInstance">
   							   <xforms:group appearance="full">
                              <xforms:label>
   									   ACTIVITY GENERAL INFORMATION
         							</xforms:label>
                              <xforms:output ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=3]/@Id">
                                 <xforms:label>Id:</xforms:label>
                              </xforms:output>
                              <xsl:choose>
                                 <xsl:when test="$nochange='false'">
                                    <xforms:input ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=3]/@Name">
                                       <xforms:label>Name:</xforms:label>
                                    </xforms:input>
                                    <xforms:input ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=3]/xpil:InstanceDescription">
                                       <xforms:label>Description:</xforms:label>
                                    </xforms:input>
                                    <xforms:input ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=3]/xpil:InstancePriority">
                                       <xforms:label>Priority:</xforms:label>
                                    </xforms:input>
                                 </xsl:when>
                                 <xsl:otherwise>
                                    <xforms:output ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=3]/@Name">
                                       <xforms:label>Name:</xforms:label>
                                    </xforms:output>
                                    <xforms:output ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=3]/xpil:InstanceDescription">
                                       <xforms:label>Description:</xforms:label>
                                    </xforms:output>
                                    <xforms:output ref="/xpil:ExtendedWorkflowFacilityInstance/*[position()=3]/xpil:InstancePriority">
                                       <xforms:label>Priority:</xforms:label>
                                    </xforms:output>
                                 </xsl:otherwise>
                              </xsl:choose>
                           </xforms:group>
                        </xsl:if>
							<xforms:group appearance="full">

								<xsl:if test="$vext='true'">
									<xforms:label>
										VARIABLES
									</xforms:label>
									<xsl:for-each select="//.">

										<xsl:if
											test="name()='xpil:StringDataInstance'">
											<xsl:variable name="i">
												<xsl:value-of
													select="@Id" />
											</xsl:variable>
											<xsl:variable name="suff">
												<xsl:value-of
													select="xpdl:DataField/@Name" />
											</xsl:variable>
											<xsl:variable
												name="isuff">
												<xsl:value-of
													select="concat($i,'#',$suff)" />
											</xsl:variable>
											<xsl:choose>
												<!-- VariableToProcess_UPDATE -->

												<xsl:when
													test="$nochange='false'">
													<xsl:choose>
														<!-- LARGE SIZE -->
														<xsl:when
															test="xpdl:DataField/xpdl:ExtendedAttributes/xpdl:ExtendedAttribute/@Name='RENDERING_HINT' and xpdl:DataField/xpdl:ExtendedAttributes/xpdl:ExtendedAttribute/@Value='Size=L'">
															<xforms:textarea
																bind="{$isuff}">
																<xforms:label>
																	<xsl:choose>
																		<xsl:when
																			test="$suff!=''">
																			<xsl:value-of
																				select="$suff" />
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:value-of
																				select="$i" />
																		</xsl:otherwise>
																	</xsl:choose>
																</xforms:label>
																<xforms:alert>
																	Please
																	enter
																	valid
																	value!
																</xforms:alert>
															</xforms:textarea>
														</xsl:when>
														<xsl:otherwise>
															<xforms:input
																bind="{$isuff}">
																<xforms:label>
																	<xsl:choose>
																		<xsl:when
																			test="$suff!=''">
																			<xsl:value-of
																				select="$suff" />
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:value-of
																				select="$i" />
																		</xsl:otherwise>
																	</xsl:choose>
																</xforms:label>
																<xforms:alert>
																	Please
																	enter
																	valid
																	value!
																</xforms:alert>
															</xforms:input>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<!-- VariableToProcess_VIEW -->
												<xsl:when
													test="$nochange='true'">
													<xforms:output
														bind="{$isuff}">
														<xforms:label>
															<xsl:choose>
																<xsl:when
																	test="$suff!=''">
																	<xsl:value-of
																		select="$suff" />
																</xsl:when>
																<xsl:otherwise>
																	<xsl:value-of
																		select="$i" />
																</xsl:otherwise>
															</xsl:choose>
														</xforms:label>
													</xforms:output>
												</xsl:when>
											</xsl:choose>
										</xsl:if>
										<xsl:if
											test="name()='xpil:DoubleDataInstance'">
											<xsl:variable name="i">
												<xsl:value-of
													select="@Id" />
											</xsl:variable>
											<xsl:variable name="suff">
												<xsl:value-of
													select="xpdl:DataField/@Name" />
											</xsl:variable>
											<xsl:variable
												name="isuff">
												<xsl:value-of
													select="concat($i,'#',$suff)" />
											</xsl:variable>
											<xsl:choose>
												<xsl:when
													test="$nochange='false'">
													<xforms:input
														bind="{$isuff}">
														<xforms:label>
															<xsl:choose>
																<xsl:when
																	test="$suff!=''">
																	<xsl:value-of
																		select="$suff" />
																</xsl:when>
																<xsl:otherwise>
																	<xsl:value-of
																		select="$i" />
																</xsl:otherwise>
															</xsl:choose>
														</xforms:label>
														<xforms:alert>
															Please enter
															valid value!
														</xforms:alert>
													</xforms:input>
												</xsl:when>
												<xsl:when
													test="$nochange='true'">
													<xforms:output
														bind="{$isuff}">
														<xforms:label>
															<xsl:choose>
																<xsl:when
																	test="$suff!=''">
																	<xsl:value-of
																		select="$suff" />
																</xsl:when>
																<xsl:otherwise>
																	<xsl:value-of
																		select="$i" />
																</xsl:otherwise>
															</xsl:choose>
														</xforms:label>
													</xforms:output>
												</xsl:when>
											</xsl:choose>
										</xsl:if>

										<xsl:if
											test="name()='xpil:LongDataInstance'">
											<xsl:variable name="i">
												<xsl:value-of
													select="@Id" />
											</xsl:variable>
											<xsl:variable name="suff">
												<xsl:value-of
													select="xpdl:DataField/@Name" />
											</xsl:variable>
											<xsl:variable
												name="isuff">
												<xsl:value-of
													select="concat($i,'#',$suff)" />
											</xsl:variable>

											<xsl:choose>
												<xsl:when
													test="$nochange='false'">


													<xforms:input
														bind="{$isuff}">
														<xforms:label>
															<xsl:choose>
																<xsl:when
																	test="$suff!=''">
																	<xsl:value-of
																		select="$suff" />
																</xsl:when>
																<xsl:otherwise>
																	<xsl:value-of
																		select="$i" />
																</xsl:otherwise>
															</xsl:choose>
														</xforms:label>
														<xforms:alert>
															Please enter
															valid value!
														</xforms:alert>
													</xforms:input>
												</xsl:when>
												<xsl:when
													test="$nochange='true'">
													<xforms:output
														bind="{$isuff}">
														<xforms:label>
															<xsl:choose>
																<xsl:when
																	test="$suff!=''">
																	<xsl:value-of
																		select="$suff" />
																</xsl:when>
																<xsl:otherwise>
																	<xsl:value-of
																		select="$i" />
																</xsl:otherwise>
															</xsl:choose>
														</xforms:label>
													</xforms:output>
												</xsl:when>
											</xsl:choose>
										</xsl:if>
										<xsl:if
											test="name()='xpil:BooleanDataInstance'">
											<xsl:variable name="i">
												<xsl:value-of
													select="@Id" />
											</xsl:variable>
											<xsl:variable name="suff">
												<xsl:value-of
													select="xpdl:DataField/@Name" />
											</xsl:variable>
											<xsl:variable
												name="isuff">
												<xsl:value-of
													select="concat($i,'#',$suff)" />
											</xsl:variable>
											<xsl:choose>
												<xsl:when
													test="$nochange='false'">
													<xforms:select1 bind="{$isuff}" appearance="full" selection="open">
                                             <xforms:label>
                                                <xsl:choose>
                                                <xsl:when test="$suff!=''">
                                                 <xsl:value-of select="$suff"/>
                                                </xsl:when>
                                               <xsl:otherwise>
                                                <xsl:value-of select="$i"/>
                                               </xsl:otherwise>
                                               </xsl:choose>
                                              </xforms:label>
                                              <xforms:item>
                                                <xforms:label>true</xforms:label>
                                                <xforms:value>true</xforms:value>
                                              </xforms:item>
                                              <xforms:item>
                                               <xforms:label>false</xforms:label>
                                              <xforms:value>false</xforms:value>
                                              </xforms:item>
                                              </xforms:select1>
												</xsl:when>
												<xsl:when
													test="$nochange='true'">
													<xforms:output
														bind="{$isuff}">
														<xforms:label>
															<xsl:choose>
																<xsl:when
																	test="$suff!=''">
																	<xsl:value-of
																		select="$suff" />
																</xsl:when>
																<xsl:otherwise>
																	<xsl:value-of
																		select="$i" />
																</xsl:otherwise>
															</xsl:choose>
														</xforms:label>
													</xforms:output>
												</xsl:when>
											</xsl:choose>
										</xsl:if>
										<xsl:if
											test="name()='xpil:DateDataInstance'">
											<xsl:variable name="i">
												<xsl:value-of
													select="@Id" />
											</xsl:variable>
											<xsl:variable name="suff">
												<xsl:value-of
													select="xpdl:DataField/@Name" />
											</xsl:variable>
											<xsl:variable
												name="isuff">
												<xsl:value-of
													select="concat($i,'#',$suff)" />
											</xsl:variable>
											<xsl:choose>
												<xsl:when
													test="$nochange='false'">
													<xforms:input
														appearance="full" bind="{$isuff}">
														<xforms:label>
															<xsl:choose>
																<xsl:when
																	test="$suff!=''">
																	<xsl:value-of
																		select="$suff" />
																</xsl:when>
																<xsl:otherwise>
																	<xsl:value-of
																		select="$i" />
																</xsl:otherwise>
															</xsl:choose>
														</xforms:label>
														<xforms:alert>
															Please enter
															valid value!
														</xforms:alert>
													</xforms:input>
												</xsl:when>
												<xsl:when
													test="$nochange='true'">
													<xforms:output
														bind="{$isuff}">
														<xforms:label>
															<xsl:choose>
																<xsl:when
																	test="$suff!=''">
																	<xsl:value-of
																		select="$suff" />
																</xsl:when>
																<xsl:otherwise>
																	<xsl:value-of
																		select="$i" />
																</xsl:otherwise>
															</xsl:choose>
														</xforms:label>
													</xforms:output>
												</xsl:when>
											</xsl:choose>
										</xsl:if>
									</xsl:for-each>
								</xsl:if>

							</xforms:group>
							<xforms:group>
                        <xsl:variable name="vext" select="prop:getProperty('variablesExist')"/>
                        <xsl:if test="$nochange='false'">
                           <xforms:submit submission="update">
                              <xforms:label> Update </xforms:label>
                           </xforms:submit>
                        </xsl:if>
								<xforms:submit submission="close">
									<xforms:label>Cancel</xforms:label>
								</xforms:submit>
							</xforms:group>
						</td>
							<td width="2%" />
					</tr>
					<tr>

                         <td align="left" class="body_bottom"
                           width="2%" />
                         <td align="left" colspan="2" class="body_bottom"
                               height="15">
                       &#169; 2006 Together Teaml&#246;sungen
                    </td>
                    <td class="body_bottom" height="15" align="right">
                    </td>
                          <td align="left" class="body_bottom"
                            width="2%" />

                 </tr>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
