Create table SHKProcessStateEventAudits
(
KeyValue  VARCHAR2 (30)  NOT NULL     ,
Name  VARCHAR2 (50)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityStateEventAudits
(
KeyValue  VARCHAR2 (30)  NOT NULL     ,
Name  VARCHAR2 (50)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKCreateProcessEventAudits
(
RecordedTime  INTEGER NOT NULL     ,
RecordedTimeTZO  INTEGER NOT NULL     ,
TheUsername  VARCHAR2 (100)  NOT NULL     ,
TheType  NUMBER (19,0)  NOT NULL    ,
ProcessId  VARCHAR2 (100)  NOT NULL     ,
ProcessName  VARCHAR2 (254)     ,
ProcessFactoryName  VARCHAR2 (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR2 (20)  NOT NULL     ,
ProcessDefinitionId  VARCHAR2 (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR2 (90)     ,
PackageId  VARCHAR2 (90)  NOT NULL     ,
PActivityId  VARCHAR2 (100)     ,
PProcessId  VARCHAR2 (100)     ,
PProcessName  VARCHAR2 (254)     ,
PProcessFactoryName  VARCHAR2 (200)     ,
PProcessFactoryVersion  VARCHAR2 (20)     ,
PActivityDefinitionId  VARCHAR2 (90)     ,
PActivityDefinitionName  VARCHAR2 (90)     ,
PProcessDefinitionId  VARCHAR2 (90)     ,
PProcessDefinitionName  VARCHAR2 (90)     ,
PPackageId  VARCHAR2 (90)     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKStateEventAudits
(
RecordedTime  INTEGER NOT NULL     ,
RecordedTimeTZO  INTEGER NOT NULL     ,
TheUsername  VARCHAR2 (100)  NOT NULL     ,
TheType  NUMBER (19,0)  NOT NULL    ,
ActivityId  VARCHAR2 (100)     ,
ActivityName  VARCHAR2 (254)     ,
ProcessId  VARCHAR2 (100)  NOT NULL     ,
ProcessName  VARCHAR2 (254)     ,
ProcessFactoryName  VARCHAR2 (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR2 (20)  NOT NULL     ,
ActivityDefinitionId  VARCHAR2 (90)     ,
ActivityDefinitionName  VARCHAR2 (90)     ,
ActivityDefinitionType  INTEGER    ,
ProcessDefinitionId  VARCHAR2 (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR2 (90)     ,
PackageId  VARCHAR2 (90)  NOT NULL     ,
OldProcessState  NUMBER (19,0)     ,
NewProcessState  NUMBER (19,0)     ,
OldActivityState  NUMBER (19,0)     ,
NewActivityState  NUMBER (19,0)     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKDataEventAudits
(
RecordedTime  INTEGER NOT NULL     ,
RecordedTimeTZO  INTEGER NOT NULL     ,
TheUsername  VARCHAR2 (100)  NOT NULL     ,
TheType  NUMBER (19,0)  NOT NULL    ,
ActivityId  VARCHAR2 (100)     ,
ActivityName  VARCHAR2 (254)     ,
ProcessId  VARCHAR2 (100)  NOT NULL     ,
ProcessName  VARCHAR2 (254)     ,
ProcessFactoryName  VARCHAR2 (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR2 (20)  NOT NULL     ,
ActivityDefinitionId  VARCHAR2 (90)     ,
ActivityDefinitionName  VARCHAR2 (90)     ,
ActivityDefinitionType  INTEGER    ,
ProcessDefinitionId  VARCHAR2 (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR2 (90)     ,
PackageId  VARCHAR2 (90)  NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKAssignmentEventAudits
(
RecordedTime  INTEGER NOT NULL     ,
RecordedTimeTZO  INTEGER NOT NULL     ,
TheUsername  VARCHAR2 (100)  NOT NULL     ,
TheType  NUMBER (19,0)  NOT NULL    ,
ActivityId  VARCHAR2 (100)  NOT NULL     ,
ActivityName  VARCHAR2 (254)     ,
ProcessId  VARCHAR2 (100)  NOT NULL     ,
ProcessName  VARCHAR2 (254)     ,
ProcessFactoryName  VARCHAR2 (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR2 (20)  NOT NULL     ,
ActivityDefinitionId  VARCHAR2 (90)  NOT NULL     ,
ActivityDefinitionName  VARCHAR2 (90)     ,
ActivityDefinitionType  INTEGER NOT NULL     ,
ProcessDefinitionId  VARCHAR2 (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR2 (90)     ,
PackageId  VARCHAR2 (90)  NOT NULL     ,
OldResourceUsername  VARCHAR2 (100)     ,
OldResourceName  VARCHAR2 (100)     ,
NewResourceUsername  VARCHAR2 (100)  NOT NULL     ,
NewResourceName  VARCHAR2 (100)     ,
IsAccepted  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKOldEventAuditData
(
DataEventAudit  NUMBER (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR2 (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValue  BLOB    ,
VariableValueXML  VARCHAR2 (4000)    ,
VariableValueVCHAR  VARCHAR2 (4000)     ,
VariableValueDBL  DECIMAL    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATE    ,
VariableValueBOOL  INTEGER    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKOldEventAuditDataWOB
(
DataEventAudit  NUMBER (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR2 (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValueXML  VARCHAR2 (4000)    ,
VariableValueVCHAR  VARCHAR2 (4000)     ,
VariableValueDBL  DECIMAL    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATE    ,
VariableValueBOOL  INTEGER    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKOldEventAuditDataBLOBs
(
OldEventAuditDataWOB  NUMBER (19,0)  NOT NULL    ,
VariableValue  BLOB    ,
OrdNo  INTEGER NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKNewEventAuditData
(
DataEventAudit  NUMBER (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR2 (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValue  BLOB    ,
VariableValueXML  VARCHAR2 (4000)    ,
VariableValueVCHAR  VARCHAR2 (4000)     ,
VariableValueDBL  DECIMAL    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATE    ,
VariableValueBOOL  INTEGER    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKNewEventAuditDataWOB
(
DataEventAudit  NUMBER (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR2 (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValueXML  VARCHAR2 (4000)    ,
VariableValueVCHAR  VARCHAR2 (4000)     ,
VariableValueDBL  DECIMAL    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATE    ,
VariableValueBOOL  INTEGER    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKNewEventAuditDataBLOBs
(
NewEventAuditDataWOB  NUMBER (19,0)  NOT NULL    ,
VariableValue  BLOB    ,
OrdNo  INTEGER NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKEventTypes
(
KeyValue  VARCHAR2 (30)  NOT NULL     ,
Name  VARCHAR2 (50)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



